<?php

/*
  PHP version 5
  Copyright (c) 2002-2018 ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030 / 13797552220
*/

class VerificationCode {

	public static function in_Verfiout() {
		global $espcms_command;
		require_once( ESPCMS_FILE_ROOT . 'espcms_public/ESPCMS_VerificationCode.php' );
		$seccode = rand(100000, 999999);
		espcms_set_cookie('espcms_web_login_verification_code', espcms_encrypt($seccode, ESPCMS_ENCRYPT_CODE));
		$code = new ESPCMS_VerificationCode();
		$code->code = $seccode;
		$code->type = 0;
		$code->width = 70;
		$code->height = 27;
		$code->background = 30;
		$code->adulterate = $espcms_command['SAFETY_VERIFICATION_SIDEWORD'];
		$code->ttf = 0;
		$code->angle = 0;
		$code->color = 0;
		$code->size = 2;
		$code->shadow = 0;
		$code->animator = 0;
		$code->bgcolor = $espcms_command['SAFETY_VERIFICATION_BACKGROUND_COLOR'];
		$code->fontcolor = $espcms_command['SAFETY_VERIFICATION_FONT_COLOR'];
		$code->datapath = ESPCMS_FILE_ROOT . 'espcms_includes/verfont/';
		$code->includepath = '';
		$code->display();
	}

}
